/*

@author : All;
@created at : first of time;

*/

.select2 {
	width: 100% !important;
}

.select2-selection {
    border-radius: 0px !important;
    background-color: #f9f9f9 !important;
    padding: 5px;
    border: 1px solid #dadada !important;
    color: #dadada !important;
}

.select2-selection__choice {
    background: #5c8ed5 !important;
    color: #fff !important;
    border: 1px solid #fff !important;
    border-radius: 0px !important;
    padding: 0px 10px !important;
}

.select2-selection__choice__remove {
    color: #fff !important;
    padding-right: 5px !important;
}

.btn-link:hover {
    text-decoration: none;
}

.modal-xl {
    width: 90%;
}

.modal-xl .modal-body {
    min-height: 300px;
    padding: 0px;
}

.modal-xl .tab-content {
    padding: 0px;
}

/*.image-browser {
    padding: 30px;
}*/

.image-browser img, .image-gallery img {
    border: 3px solid #fff;
    height: 100px;
    width: 100%;
    object-fit: cover;
    cursor: pointer;
}

.image-browser .col-md-2.selected img, .image-gallery .col-md-2.selected img {
    border: 3px solid #5c8ed5;
}

.image-browser .col-md-2:hover img, .image-gallery .col-md-2:hover img {
    border: 3px solid #5c8ed5;
}

.image-browser .col-md-3, .image-gallery .col-md-3 {
    margin-bottom: 20px;
}

.no-gutter > [class*='col-'] {
    padding-right:5px;
    padding-left:5px;
}

.attachment-details {
    padding: 30px;
    border-left: 1px solid #e1e1e1;
    height: 400px;
    overflow-y: scroll;
    background-color: #f9f9f9;
}

.media-wrapper {
    overflow-y: scroll;
    height: 400px;
}

.attachment-details ul {
    padding: 0px;
    list-style: none;
}

.attachment-details img {
    height: 100px;
    width: 100%;
}

.drag-and-drop {
    text-align: center;
    padding: 100px 0px;
    border: 4px dashed #e1e1e1;
    margin: 40px 10px;
}

.image-browser .selected:before, .image-gallery .selected:before  {
    content: "\f00c";
    position: absolute;
    right: 5px;
    background-color: #5c8ed5;
    color: #fff;
    font-family: FontAwesome;
    padding: 5px 10px;
}

.ck-editor__editable {
    min-height: 400px;
    padding: 20px;
}

.progress-wrapper {
    width: 91%;
    height: 100%;
    top: 0px;
    position: absolute;
    background: rgba(255, 255, 255, 0.76);
    padding: 25% 10px;
}

.loading {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.81);
    z-index: 9;
    text-align: center;
    bottom: 0px;
}

.loading i {
    position: absolute;
    top: 45%;
}

.table-custom {
    border: 1px solid #e1e1e1;
}

.table-custom tr > td:nth-child(2) {
    border-right: 1px solid #e1e1e1
}

.rate i {
    color: #FFD700;
    margin-right: 5px;
}

.rate i.unrated {
    color: #e1e1e1;
}

.row{
    padding: 0 10px;
}

.clickable{
    cursor: pointer;   
}

.panel-heading span {
    margin-top: -20px;
    font-size: 15px;
}

.sortable li {
    border: 2px solid rgb(225, 225, 225);
    padding: 10px;
    cursor: move;
    margin: 10px 0px;
    clear: both;
    width: 100%;
    list-style: none;
    user-select: none;
}

.sortable li ol {
    float: left;
    width: 100%;
    margin-top: 10px;
}

.placeholder {
    padding: 0 10px;
    outline: 1px dashed #e1e1e1;
    height: 40px;
}

.mjs-nestedSortable-error {
    background: #fbe3e4;
    border-color: transparent;
    cursor: disabled;
}

.right-toggle {
    float: right;
}

.select2-selection  {
    height: auto !important;
}

.has-error .select2-selection {
    border-color: #a94442 !important;
}

.profile {
    text-align: center;
    border: 1px solid #e1e1e1;
    padding: 5px;
    margin: 5px;
}

.profile .btn {
    padding: 10px;
}
.img-profile {
    width: 120px;
    height: 120px;
}

.small-drag-drop {
    text-align: center;
    padding: 40px 20px;
    border: 2px dashed #e1e1e1;
    margin-top: 10px;
}

.remove {
    position: relative;
}

.remove button {
    position: absolute;
    right: 0px;
}

.btn-circle {
    border-radius: 50% !important;
    padding: 4px 7px !important;
    text-align: center !important;
}

.btn-circle i {
    display: inline-block !important;
    margin: 0px !important;
}

.no-list {
   list-style: none;
}

.no-list > li > label > span {
    padding: 5px 0px;
}